
package com.rjconsultores.ventaboletos.relatorios.utilitarios;

public class RelatorioEmbarqueLocalidadeBean {
	private String data;
	private String horario;
	private String linha;
	private String classe;
	private String prefixo;;
	private Long embarques;
	private Integer indexColun;
	private Integer indexLinha;

	public String getHorario() {
		return horario;
	}

	public void setHorario(String horario) {
		this.horario = horario;
	}

	public String getData() {
		return data.substring(0, 10);
	}

	public void setData(String data) {
		this.data = data;
	}

	public String getLinha() {
		return linha;
	}

	public void setLinha(String linha) {
		this.linha = linha;
	}

	public Long getEmbarques() {
		return embarques;
	}

	public void setEmbarques(Long embarques) {
		this.embarques = embarques;
	}

	public Integer getIndexColun() {
		return indexColun;
	}

	public void setIndexColun(Integer indexColun) {
		this.indexColun = indexColun;
	}

	public Integer getIndexLinha() {
		return indexLinha;
	}

	public void setIndexLinha(Integer indexLinha) {
		this.indexLinha = indexLinha;
	}

	public String getClasse() {
		return classe;
	}

	public void setClasse(String classe) {
		this.classe = classe;
	}
	
	

	public String getPrefixo() {
		return prefixo;
	}

	public void setPrefixo(String prefixo) {
		this.prefixo = prefixo;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((linha == null) ? 0 : linha.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RelatorioEmbarqueLocalidadeBean other = (RelatorioEmbarqueLocalidadeBean) obj;
		if (linha == null) {
			if (other.linha != null)
				return false;
		} else if (!linha.equals(other.linha))
			return false;
		return true;
	}

}
